Test::Int::Rel Namespace Reference

Tests for relation constraints More...

## Classes

class | IntVarXY
| Test for simple relation involving integer variables More...
class | IntVarXX
| Test for simple relation involving shared integer variables More...
class | BoolVarXY
| Test for simple relation involving Boolean variables More...
class | BoolVarXX
| Test for simple relation involving shared Boolean variables More...
class | IntInt
| Test for simple relation involving integer variable and integer constant More...
class | BoolInt
| Test for simple relation involving Boolean variable and integer constant More...
class | IntSeq
| Test for sequence of relations between integer variables More...
class | IntSharedSeq
| Test for sequence of relations between shared integer variables More...
class | BoolSeq
| Test for sequence of relations between Boolean variables More...
class | BoolSharedSeq
| Test for sequence of relations between shared Boolean variables More...
class | IntArrayVar
| Test for relation between same sized arrays of integer variables More...
class | IntArrayInt
| Test for relation between same sized arrays of integer variables and integers More...
class | IntArrayDiff
| Test for relation between differently sized arrays of integer variables More...
class | BoolArrayVar
| Test for relation between arrays of Boolean variables More...
class | BoolArrayInt
| Test for relation between arrays of Boolean variables and integers More...
class | Create
| Help class to create and register tests. More...

## Variables

Create | c

## Detailed Description

Tests for relation constraints

## Variable Documentation

## c

Create Test::Int::Rel::c

Definition at line 621 of file rel.cpp.